package com.steering.pss.sale.order.model;

/**
 * 数据库表SLM_BASE_MATERIAL所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2016-07-19
 */
@SuppressWarnings("serial")
public class SlmBaseMaterialEntity implements java.io.Serializable {
    /**
     * 物料编码
     */
    private String materialNo = "";
    /**
     * 物料描述
     */
    private String materialDesc = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 品名简称
     */
    private String producJx = "";
    /**
     * 品名英语名称
     */
    private String producEng = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码(GZ0001)
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 外径
     */
    private String dimater = "";
    /**
     * 壁厚
     */
    private String height = "";
    /**
     * 管坯规格代码(从产品规格表中取值)
     */
    private String specCode = "";
    /**
     * 管坯规格描述
     */
    private String specName = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 允许外购
     */
    private String outsrcAllow = "";
    /**
     * 首次生产(对应物料缴库时改变首次生产标识)
     */
    private String firstPrdc = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 是否自动生成工艺文件(1:是 0:否)
     */
    private String autoCraft = "";
    /**
     * 物料大类
     */
    private String materialTypeMax = "";
    /**
     * 物料中类
     */
    private String materialTypeMid = "";
    /**
     * 物料小类
     */
    private String materialTypeMin = "";
    /**
     * 属性分类1
     */
    private String propertyType1 = "";
    /**
     * 属性分类2
     */
    private String propertyType2 = "";
    /**
     * TP系列
     */
    private String tpSeries = "";
    /**
     * 特殊扣型
     */
    private String specialModel = "";
    /**
     * 高端产品
     */
    private String upmarketProduct = "";
    /**
     * 高附加值产品
     */
    private String highAdditionalProduct = "";
    /**
     * 物料大类
     */
    private String materialTypeMaxDesc = "";
    /**
     * 物料中类
     */
    private String materialTypeMidDesc = "";
    /**
     * 物料小类
     */
    private String materialTypeMinDesc = "";
    /**
     * 属性分类1
     */
    private String propertyType1Desc = "";
    /**
     * 属性分类2
     */
    private String propertyType2Desc = "";

    private  String dataStatus = "";

    private String isFlag = "";

    private String synchroTime = "";

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getIsFlag() {
        return isFlag;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public String getSynchroTime() {
        return synchroTime;
    }

    public void setSynchroTime(String synchroTime) {
        this.synchroTime = synchroTime;
    }

    public String getTotalCost() {
		return totalCost;
	}

	public void setTotalCost(String totalCost) {
		this.totalCost = totalCost;
	}

	private String totalCost = "";

    /**
     * 物料编码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料编码
* @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
    this.materialNo = materialNo;
    }

    /**
     * 物料描述
     * @return value
     */
    public String getMaterialDesc() {
        return materialDesc;
    }

    /**
     * 物料描述
* @param materialDesc value
     */
    public void setMaterialDesc(String materialDesc) {
    this.materialDesc = materialDesc;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
* @param produccode value
     */
    public void setProduccode(String produccode) {
    this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
* @param producname value
     */
    public void setProducname(String producname) {
    this.producname = producname;
    }

    /**
     * 品名简称
     * @return value
     */
    public String getProducJx() {
        return producJx;
    }

    /**
     * 品名简称
* @param producJx value
     */
    public void setProducJx(String producJx) {
    this.producJx = producJx;
    }

    /**
     * 品名英语名称
     * @return value
     */
    public String getProducEng() {
        return producEng;
    }

    /**
     * 品名英语名称
* @param producEng value
     */
    public void setProducEng(String producEng) {
    this.producEng = producEng;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
* @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
    this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
* @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
    this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
* @param steelcode value
     */
    public void setSteelcode(String steelcode) {
    this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
* @param steelname value
     */
    public void setSteelname(String steelname) {
    this.steelname = steelname;
    }

    /**
     * 钢种代码(GZ0001)
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码(GZ0001)
* @param gradecode value
     */
    public void setGradecode(String gradecode) {
    this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
* @param gradename value
     */
    public void setGradename(String gradename) {
    this.gradename = gradename;
    }

    /**
     * 外径
     * @return value
     */
    public String getDimater() {
        return dimater;
    }

    /**
     * 外径
* @param dimater value
     */
    public void setDimater(String dimater) {
    this.dimater = dimater;
    }

    /**
     * 壁厚
     * @return value
     */
    public String getHeight() {
        return height;
    }

    /**
     * 壁厚
* @param height value
     */
    public void setHeight(String height) {
    this.height = height;
    }

    /**
     * 管坯规格代码(从产品规格表中取值)
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 管坯规格代码(从产品规格表中取值)
* @param specCode value
     */
    public void setSpecCode(String specCode) {
    this.specCode = specCode;
    }

    /**
     * 管坯规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 管坯规格描述
* @param specName value
     */
    public void setSpecName(String specName) {
    this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
* @param modelCode value
     */
    public void setModelCode(String modelCode) {
    this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
* @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
    this.modelDesc = modelDesc;
    }

    /**
     * 允许外购
     * @return value
     */
    public String getOutsrcAllow() {
        return outsrcAllow;
    }

    /**
     * 允许外购
* @param outsrcAllow value
     */
    public void setOutsrcAllow(String outsrcAllow) {
    this.outsrcAllow = outsrcAllow;
    }

    /**
     * 首次生产(对应物料缴库时改变首次生产标识)
     * @return value
     */
    public String getFirstPrdc() {
        return firstPrdc;
    }

    /**
     * 首次生产(对应物料缴库时改变首次生产标识)
* @param firstPrdc value
     */
    public void setFirstPrdc(String firstPrdc) {
    this.firstPrdc = firstPrdc;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
* @param createName value
     */
    public void setCreateName(String createName) {
    this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
* @param createTime value
     */
    public void setCreateTime(String createTime) {
    this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
* @param updateName value
     */
    public void setUpdateName(String updateName) {
    this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
* @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
    this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
* @param deleteName value
     */
    public void setDeleteName(String deleteName) {
    this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
* @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
    this.deleteTime = deleteTime;
    }

    /**
     * 是否自动生成工艺文件(1:是 0:否)
     * @return value
     */
    public String getAutoCraft() {
        return autoCraft;
    }

    /**
     * 是否自动生成工艺文件(1:是 0:否)
* @param autoCraft value
     */
    public void setAutoCraft(String autoCraft) {
    this.autoCraft = autoCraft;
    }

    /**
     * 物料大类
     * @return value
     */
    public String getMaterialTypeMax() {
        return materialTypeMax;
    }

    /**
     * 物料大类
* @param materialTypeMax value
     */
    public void setMaterialTypeMax(String materialTypeMax) {
    this.materialTypeMax = materialTypeMax;
    }

    /**
     * 物料中类
     * @return value
     */
    public String getMaterialTypeMid() {
        return materialTypeMid;
    }

    /**
     * 物料中类
* @param materialTypeMid value
     */
    public void setMaterialTypeMid(String materialTypeMid) {
    this.materialTypeMid = materialTypeMid;
    }

    /**
     * 物料小类
     * @return value
     */
    public String getMaterialTypeMin() {
        return materialTypeMin;
    }

    /**
     * 物料小类
* @param materialTypeMin value
     */
    public void setMaterialTypeMin(String materialTypeMin) {
    this.materialTypeMin = materialTypeMin;
    }

    /**
     * 属性分类1
     * @return value
     */
    public String getPropertyType1() {
        return propertyType1;
    }

    /**
     * 属性分类1
* @param propertyType1 value
     */
    public void setPropertyType1(String propertyType1) {
    this.propertyType1 = propertyType1;
    }

    /**
     * 属性分类2
     * @return value
     */
    public String getPropertyType2() {
        return propertyType2;
    }

    /**
     * 属性分类2
* @param propertyType2 value
     */
    public void setPropertyType2(String propertyType2) {
    this.propertyType2 = propertyType2;
    }

    /**
     * TP系列
     * @return value
     */
    public String getTpSeries() {
        return tpSeries;
    }

    /**
     * TP系列
* @param tpSeries value
     */
    public void setTpSeries(String tpSeries) {
    this.tpSeries = tpSeries;
    }

    /**
     * 特殊扣型
     * @return value
     */
    public String getSpecialModel() {
        return specialModel;
    }

    /**
     * 特殊扣型
* @param specialModel value
     */
    public void setSpecialModel(String specialModel) {
    this.specialModel = specialModel;
    }

    /**
     * 高端产品
     * @return value
     */
    public String getUpmarketProduct() {
        return upmarketProduct;
    }

    /**
     * 高端产品
* @param upmarketProduct value
     */
    public void setUpmarketProduct(String upmarketProduct) {
    this.upmarketProduct = upmarketProduct;
    }

    /**
     * 高附加值产品
     * @return value
     */
    public String getHighAdditionalProduct() {
        return highAdditionalProduct;
    }

    /**
     * 高附加值产品
* @param highAdditionalProduct value
     */
    public void setHighAdditionalProduct(String highAdditionalProduct) {
    this.highAdditionalProduct = highAdditionalProduct;
    }

    /**
     * 物料大类
     * @return value
     */
    public String getMaterialTypeMaxDesc() {
        return materialTypeMaxDesc;
    }

    /**
     * 物料大类
* @param materialTypeMaxDesc value
     */
    public void setMaterialTypeMaxDesc(String materialTypeMaxDesc) {
    this.materialTypeMaxDesc = materialTypeMaxDesc;
    }

    /**
     * 物料中类
     * @return value
     */
    public String getMaterialTypeMidDesc() {
        return materialTypeMidDesc;
    }

    /**
     * 物料中类
* @param materialTypeMidDesc value
     */
    public void setMaterialTypeMidDesc(String materialTypeMidDesc) {
    this.materialTypeMidDesc = materialTypeMidDesc;
    }

    /**
     * 物料小类
     * @return value
     */
    public String getMaterialTypeMinDesc() {
        return materialTypeMinDesc;
    }

    /**
     * 物料小类
* @param materialTypeMinDesc value
     */
    public void setMaterialTypeMinDesc(String materialTypeMinDesc) {
    this.materialTypeMinDesc = materialTypeMinDesc;
    }

    /**
     * 属性分类1
     * @return value
     */
    public String getPropertyType1Desc() {
        return propertyType1Desc;
    }

    /**
     * 属性分类1
* @param propertyType1Desc value
     */
    public void setPropertyType1Desc(String propertyType1Desc) {
    this.propertyType1Desc = propertyType1Desc;
    }

    /**
     * 属性分类2
     * @return value
     */
    public String getPropertyType2Desc() {
        return propertyType2Desc;
    }

    /**
     * 属性分类2
* @param propertyType2Desc value
     */
    public void setPropertyType2Desc(String propertyType2Desc) {
    this.propertyType2Desc = propertyType2Desc;
    }
}
